using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using SK.MemberBLL;

namespace SK.MemberWeb.admin
{
	/// <summary>
	/// Mail_Template_ForgetPassword 的摘要说明。
	/// </summary>
	public class Mail_Template_ForgetPassword : BasePage
	{
		protected System.Web.UI.WebControls.Label lblMsg;
		protected System.Web.UI.WebControls.Button btnSave;
		protected System.Web.UI.WebControls.TextBox Content;
		protected System.Web.UI.WebControls.TextBox Subject;
		protected System.Web.UI.WebControls.RadioButtonList InHtml;
		MainSystem main = new MainSystem();
		RightMemberSystem rightmember = new RightMemberSystem();
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			// 在此处放置用户代码以初始化页面
			if(!IsPostBack)
			{
				if(!rightmember.Allow(0,"Mail",this.CurrentMemberID))
					Response.Redirect("noright.aspx");

				BindData();
			}
		}

		#region Web 窗体设计器生成的代码
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: 该调用是 ASP.NET Web 窗体设计器所必需的。
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// 设计器支持所需的方法 - 不要使用代码编辑器修改
		/// 此方法的内容。
		/// </summary>
		private void InitializeComponent()
		{    
			this.btnSave.Click += new System.EventHandler(this.btnSave_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
		private void BindData()
		{
			InHtml.SelectedValue = Main.GetValue("Mail_Template_ForgetPassword_InHtml").ToString();
			Subject.Text = Main.GetValue("Mail_Template_ForgetPassword_Subject").ToString();
			Content.Text = Main.GetValue("Mail_Template_ForgetPassword_Body").ToString();
		}

		private void btnSave_Click(object sender, System.EventArgs e)
		{
			main.Update("Mail_Template_ForgetPassword_InHtml",InHtml.SelectedValue);
			main.Update("Mail_Template_ForgetPassword_Subject",Subject.Text);
			main.Update("Mail_Template_ForgetPassword_Body",Content.Text);
			this.AlertAndRedir("保存成功","Mail_Template_ForgetPassword.aspx");
		}
	}
}
